New port: net/nncp: Utilities for secure store-and-forward files and mail exchanging
ClosedPublic

Authored by yuri on Dec 31 2017, 12:23 AM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
yuri created this revision.Dec 31 2017, 12:23 AM
mat requested changes to this revision.Dec 31 2017, 9:41 AM
mat added inline comments.
net/nncp/Makefile
30 ↗(On Diff #37266)

You cannot install sample newsyslog files in the newsyslog.conf.d directory, as all the files in it are used.

This revision now requires changes to proceed.Dec 31 2017, 9:41 AM
tcberner added inline comments.Dec 31 2017, 9:50 AM
net/nncp/Makefile
4 ↗(On Diff #37266)

^DISTVERSION

yuri marked an inline comment as done.Dec 31 2017, 10:03 AM
yuri added inline comments.
net/nncp/Makefile
4 ↗(On Diff #37266)

The portlint maintainer doesn't see this stated in the PHB: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=224002
He closed my request.

yuri updated this revision to Diff 37303.Dec 31 2017, 10:28 AM
yuri marked an inline comment as done.

Rearranged conf files to avoid .sample being in etc/newsyslog.conf.d/

yuri marked 2 inline comments as done.Dec 31 2017, 10:29 AM
mat added inline comments.Dec 31 2017, 10:25 PM
net/nncp/Makefile
31 ↗(On Diff #37303)

I do not understand why this is so complicated.

Please have a look at 8.3. Configuration Files.

yuri marked an inline comment as done.Dec 31 2017, 11:56 PM
yuri added inline comments.
net/nncp/Makefile
31 ↗(On Diff #37303)

It actually follows PHB section 8.3.
It creates a .conf file in etc/ using @sample, and links the real config file etc/newsyslog.conf.d/nncp.conf to it.

Could you please explain what's wrong with this?

yuri updated this revision to Diff 37356.Jan 1 2018, 5:22 PM
yuri marked an inline comment as done.

The submitter verified that it works, and corrected one typo.

@mat, if you don't have any objections, could you please unblock this?

mat added inline comments.Jan 2 2018, 11:52 AM
net/nncp/Makefile
31 ↗(On Diff #37303)

Yes, I could.

@sample etc/nncp.conf.sample ​etc/newsyslog.conf.d/nncp.conf
yuri updated this revision to Diff 37407.Jan 2 2018, 11:58 AM
yuri marked 2 inline comments as done.

.

tcberner accepted this revision.Jan 9 2018, 9:52 PM

As long as mat is fine with it too now, this is good to go.

yuri retitled this revision from New port: net/nncp: Utilities for secure store-and-forward files and mail exchanging to New port: net/nncp: Utilities for secure store-and-forward files and mail exchanging {PENDING portmgr@ approval}.Jan 9 2018, 10:28 PM
yuri added a comment.Jan 29 2018, 12:33 AM

Can this be unblocked by portmgr@?

mat accepted this revision.Jan 29 2018, 11:47 AM

It never was blocked by portmgr.

This revision is now accepted and ready to land.Jan 29 2018, 11:47 AM
yuri retitled this revision from New port: net/nncp: Utilities for secure store-and-forward files and mail exchanging {PENDING portmgr@ approval} to New port: net/nncp: Utilities for secure store-and-forward files and mail exchanging.Jan 29 2018, 4:07 PM
This revision was automatically updated to reflect the committed changes.